package com.docus.webservice.config;

import com.docus.webservice.handler.TBasicWebService;
import com.docus.webservice.service.IPcmachineService;
import com.docus.webservice.service.ITBasicService;
import io.swagger.models.auth.In;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@Component
public class MyScheduling {

    @Autowired
    IPcmachineService pcmachineService;
    @Autowired
    private ITBasicService tbasicWebService;

    private Logger logger = LogManager.getLogger(MyScheduling.class);

    //10分钟执行一次
//    @Scheduled(fixedRate = 1000 * 60 * 10)
//    public void beat() {
//        Integer count = pcmachineService.count();
//        logger.info("----心跳执行开始,当前在线采集器数：" + count + "----");
//        pcmachineService.isBeat();
//        Integer count2 = pcmachineService.count();
//        logger.info("----心跳执行结束,此次心跳下线采集数：" + (count - count2) + "----");
//
//    }

    //每天00:01执行一次
    @Scheduled(cron = "0 1 0 * * ?")
    public void mergePreRecords() {
        logger.info("----开始合并预处理数据----");
        Map<String, String> dateMap = getDateCollectionTime(new Date(), 3);
        tbasicWebService.mergePreRecords(dateMap.get("startDate"), dateMap.get("endDate"));
    logger.info("----合并预处理数据结束----");
    }
    /**
     * 获取前x天开始与结束时间
     *
     * @param date
     * @return
     */

    public static Map<String, String> getDateCollectionTime(Date date, int day) {
        Date dBefore;
        Calendar calendar = Calendar.getInstance(); //得到日历
        calendar.setTime(date);//把当前时间赋给日历
        calendar.add(Calendar.DAY_OF_MONTH, -day); //设置为前day天
        dBefore = calendar.getTime(); //得到前一天的时间
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd"); //设置时间格式
        String defaultStartDate = sdf.format(dBefore); //格式化前一天
        defaultStartDate = defaultStartDate + " 00:00:00";
        String defaultEndDate = defaultStartDate.substring(0, 10) + " 23:59:59";
        Map<String, String> map = new HashMap<>();
        map.put("startDate", defaultStartDate);
        map.put("endDate", defaultEndDate);
        return map;
    }



}
