package com.docus.webservice.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.Executors;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

/**
 * @author YongBin Wen
 * @date 2024/1/15 13:36
 */

@Configuration
public class ThreadPoolConfig {

    public ThreadPoolConfig() {
    }

    @Bean
    public ThreadPoolExecutor threadPoolExecutor() {
        return new ThreadPoolExecutor(Runtime.getRuntime().availableProcessors(),
                (int)((double)Runtime.getRuntime().availableProcessors() / 0.1),
                60L, TimeUnit.SECONDS,
                new LinkedBlockingQueue(Runtime.getRuntime().availableProcessors()),
                Executors.defaultThreadFactory(),
                new ThreadPoolExecutor.CallerRunsPolicy());
    }
}
