package com.docus.webservice.config;

import com.docus.webservice.enums.Codes;
import com.docus.webservice.handler.ITBasicWebService;
import com.docus.webservice.handler.TBasicWebService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.xml.ws.Endpoint;

@Configuration
public class WebServiceConfig {
    //把实现类交给spring管理
    @Bean
    public ITBasicWebService tBasicWebService() {
        return new TBasicWebService();
    }
    @Value("${ws.port}")
    private String port;
    @Value("${ws.parameter}")
    private String parameter;
    @Bean
    public Endpoint endpoint() {
        System.out.println("-----------------------web service服务已发布-------------------------");
        String address = "http://"+"0.0.0.0"+":" + port+"/" + parameter;
        Endpoint publish = Endpoint.publish(address, tBasicWebService());
        System.out.println("        "+address);
        return publish;
    }

}
