package com.docus.webservice.controller;

import com.docus.webservice.service.IPcmachineService;
import com.docus.webservice.service.ITBasicService;
import com.docus.webservice.utils.HttpUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
@RestController
//@Api(value = "检测心跳接口",tags = "检测心跳接口")
@Api(value = "预住院合并接口",tags = "预住院病历合并至正式住院")
public class BeatController {

    @Autowired
    IPcmachineService pcmachineService;
    @Autowired
    ITBasicService itBasicService;


    @GetMapping("/beat")
    public void beat(@RequestParam("code") String code, HttpServletRequest request){
        String ip = HttpUtils.getIpAddr(request);
        pcmachineService.beat(code,ip);
    }

    @ApiOperation("预住院合并")
    @ApiImplicitParams({
            @ApiImplicitParam(dataType = "string",name = "startDate",value = "出院日期开始时间"),
            @ApiImplicitParam(dataType = "string",name = "endDate",value = "出院日期结束时间")
    })
    @GetMapping ("/merge")
    public void merge(String startDate,String endDate){
        itBasicService.mergePreRecords(startDate, endDate);
    }


}
