package com.docus.webservice.dto;

import lombok.Data;

import java.util.List;

/**
 * 系统采集配置
 * @author YongBin Wen
 * @date 2024/1/15 11:33
 */
@Data
public class SystemCollectConfig {
    /**
     * 分类用途-封存病案
     */
    private String sealCollectClassify;


    /**
     * 配置内容
     */
    private List<CollectConfig> sealCollectConfigs;

    @Data
    public static class CollectConfig {
        private String desc;
        private String url;

        public String getDesc() {
            return desc;
        }

        public void setDesc(String desc) {
            this.desc = desc;
        }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }
    }

    public enum Classify {
        /**
         * 系统采集配置分类-封存病案采集
         */
        SEAL_COLLECT("SEAL_COLLECT");
        /**
         * 系统采集分类
         */
        final String classify;

        Classify(String classify) {
            this.classify = classify;
        }
        public String getClassify() {
            return classify;
        }

    }
}
