package com.docus.webservice.entity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @description 病案文件信息表
 * @author jiashi
 * @date 2022-11-21
 */
@Data
@ApiModel("病案文件信息表 ")
public class TScanAssort implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    /**
     * id
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 病案id
     */
    @ApiModelProperty("病案id")
    private String patientId;

    /**
     * 病案分类
     */
    @ApiModelProperty("病案分类")
    private String assortId;

    /**
     * 文件标题
     */
    @ApiModelProperty("文件标题")
    private String fileTitle;

    /**
     * 文件目录 单纯文件夹路径，不带文件名，如：f:嘉时新建文件夹
     */
    @ApiModelProperty("文件目录 单纯文件夹路径，不带文件名，如：f:嘉时新建文件夹")
    private String imagePath;

    /**
     * 文件名称
     */
    @ApiModelProperty("文件名称")
    private String scanPage;

    /**
     * 文件来源 1:pdf；2：图片
     */
    @ApiModelProperty("文件来源 1:pdf；2：图片")
    private Integer fileSource;

    /**
     * 1:服务器本地；2：ftp服务器；3：共享文件夹
     */
    @ApiModelProperty("1:服务器本地；2：ftp服务器；3：共享文件夹")
    private Integer fileStorageType;

    /**
     * 是否作废 1：是；0：否
     */
    @ApiModelProperty("是否作废 1：是；0：否")
    private Integer isDel;

    /**
     * 是否显示1:是;0:否
     */
    @ApiModelProperty("是否显示1:是;0:否")
    private Integer showFile;

    /**
     * 上传时间
     */
    @ApiModelProperty("上传时间")
    private Date createTime;

    /**
     * archive_record_name_info表id 用于文件排序
     */
    @ApiModelProperty("archive_record_name_info表id 用于文件排序")
    private Long archiveRecordId;

    /**
     * 页数
     */
    @ApiModelProperty("页数")
    private Integer filePages;

    /**
     * 来源系统 1护理文书，2 电子病历，3 pacs检查，4心电图，5手麻信息，6 lis检验，7病案首页，8长临医嘱，100客户从平台上传
     */
    @ApiModelProperty("来源系统 1护理文书，2 电子病历，3 pacs检查，4心电图，5手麻信息，6 lis检验，7病案首页，8长临医嘱，100客户从平台上传")
    private String source;

    /**
     * 是否完成全文填充
     */
    @ApiModelProperty("是否完成全文填充")
    private String isFulltext;

    /**
     * 完成全文填充时间
     */
    @ApiModelProperty("完成全文填充时间")
    private Date fulltextCompleteTime;

    /**
     * 版本号
     */
    @ApiModelProperty("版本号")
    private Integer versionNo;

    /**
     * 文件特征码
     */
    @ApiModelProperty("文件特征码")
    private String fileCode;

    /**
     * 签名信息
     */
    @ApiModelProperty("签名信息")
    private String signInfo;

    /**
     * file_column_1
     */
    @ApiModelProperty("file_column_1")
    private String fileColumn1;

    /**
     * file_column_2
     */
    @ApiModelProperty("file_column_2")
    private String fileColumn2;

    /**
     * file_column_3
     */
    @ApiModelProperty("file_column_3")
    private String fileColumn3;

    /**
     * file_column_4
     */
    @ApiModelProperty("file_column_4")
    private Integer fileColumn4;

    /**
     * file_column_5
     */
    @ApiModelProperty("file_column_5")
    private Integer fileColumn5;

    /**
     * file_column_6
     */
    @ApiModelProperty("file_column_6")
    private Integer fileColumn6;

    /**
     * 创建人工号
     */
    @ApiModelProperty("创建人工号")
    private String creater;

    /**
     * 创建人姓名
     */
    @ApiModelProperty("创建人姓名")
    private String createrName;

    public TScanAssort() {}
}