package com.docus.webservice.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel("在院病案封存")
public class TSeal implements Serializable {

    /**
     * @description 在院病案封存
     * @author zhengkai.blog.csdn.net
     * @date 2023-05-24
     */

        private static final long serialVersionUID = 1L;

        @TableId(type = IdType.ASSIGN_ID)
        /**
         * patient_id
         */
        @ApiModelProperty("patient_id")
        private String patientId;

        /**
         * 封存id
         */
        @ApiModelProperty("封存id")
        private String sealId;

        /**
         * 住院号
         */
        @ApiModelProperty("住院号")
        private String inpatientNo;

        /**
         * 住院就诊号
         */
        @ApiModelProperty("住院就诊号")
        private String jzh;

        /**
         * 患者姓名
         */
        @ApiModelProperty("患者姓名")
        private String name;

        /**
         * 住院时间
         */
        @ApiModelProperty("住院时间")
        private Date admissDate;

        /**
         * 封存时间
         */
        @ApiModelProperty("封存时间")
        private Date sealDate;

        /**
         * 就诊次数
         */
        @ApiModelProperty("就诊次数")
        private Integer admissTimes;

        /**
         * 纸质是否签名 0：否 1：是
         */
        @ApiModelProperty("纸质是否签名 0：否 1：是")
        private Integer signinfo;

        /**
         * 备注
         */
        @ApiModelProperty("备注")
        private String remark;

        /**
         * 文件来源
         */
        @ApiModelProperty("文件来源")
        private Integer fileSource;



}
